Bug 751603

Summary: kernel re-install create duplicated entry in grub.cfg
Product: [Fedora] Fedora Reporter: Jaroslav Pulchart <jaroslav.pulchart>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, davej, pjones, robatino
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:11:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
grub.cfg none

Description Jaroslav Pulchart 2011-11-06 02:56:40 EST
Description of problem:
kernel re-install create duplicated entry in grub.cfg

Version-Release number of selected component (if applicable):
F16

How reproducible:
at least 2x kernel versions must be installed

Steps to Reproduce:
1. boot to older kernel (for example 3.1.0-5)
2. re-install the second kernel (for example 3.1.0-7) by this command
   $ yum reinstall kernel -y 2>&1 | tee reinstall.log
3. see /boot/grub2/grub.cfg menuentry sections

Actual results:
grub.cfg contains duplicated entries 

Expected results:
one entry per one kernel version with same boot parameters

Additional info:
-
Comment 1 Jaroslav Pulchart 2011-11-06 03:01:51 EST
Created attachment 531926 [details]
grub.cfg

grub.cfg with 3x duplicated entries for "Fedora (3.1.0-7.fc16.x86_64)"
Comment 2 Mads Kiilerich 2011-11-25 11:26:26 EST
*** Bug 755062 has been marked as a duplicate of this bug. ***
Comment 3 Andre Robatino 2011-12-28 11:29:32 EST
*** Bug 769119 has been marked as a duplicate of this bug. ***
Comment 4 Andre Robatino 2011-12-28 11:30:56 EST
Also exists in Rawhide (see bug 769119).
Comment 5 Fedora End Of Life 2013-01-16 11:57:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:11:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.